> ## Documentation Index
> Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch retrieve workflows

> Obtenha vários fluxos de automação em uma única solicitação. Este endpoint é útil para buscar dados de forma eficiente sobre vários fluxos de uma vez, reduzindo a necessidade de múltiplas chamadas de API. É ideal para aplicações que precisam processar ou exibir informações sobre vários fluxos simultaneamente.

> **Supported products**

> **Required Scopes**


## OpenAPI

````yaml specs/2027-03-beta/automation-automation-v4-v2027-03-beta.json POST /automation/v4/2027-03-beta/flows/batch/read
openapi: 3.0.1
info:
  title: Automation Automation V4
  description: Basepom for all HubSpot Projects
  version: 2027-03-beta
  x-hubspot-product-tier-requirements:
    marketing: PROFESSIONAL
    sales: PROFESSIONAL
    service: PROFESSIONAL
    cms: PROFESSIONAL
    commerce: PROFESSIONAL
    crmHub: PROFESSIONAL
    dataHub: PROFESSIONAL
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Advanced
  - name: Basic
  - name: Batch
paths:
  /automation/v4/2027-03-beta/flows/batch/read:
    post:
      tags:
        - Batch
      summary: Obtenha vários fluxos de automação em uma única solicitação.
      description: >-
        Obtenha vários fluxos de automação em uma única solicitação. Este
        endpoint é útil para buscar dados de forma eficiente sobre vários fluxos
        de uma vez, reduzindo a necessidade de múltiplas chamadas de API. É
        ideal para aplicações que precisam processar ou exibir informações sobre
        vários fluxos simultaneamente.
      operationId: >-
        post-/automation/v4/2027-03-beta/flows/batch/read_/automation/v4/2026-09-beta/flows/batch/read
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiFlowBatchInput'
        required: true
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchResponseApiFlow'
        '207':
          description: multiple statuses
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchResponseApiFlowWithErrors'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - automation
components:
  schemas:
    ApiFlowBatchInput:
      required:
        - inputs
      type: object
      properties:
        inputs:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ApiFlowBatchFetchFlowIdCoordinate'
    BatchResponseApiFlow:
      required:
        - completedAt
        - results
        - startedAt
        - status
      type: object
      properties:
        completedAt:
          type: string
          description: >-
            A data e a hora em que o processo em lote foi concluído, formatadas
            como uma string de data e hora.
          format: date-time
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            Um conjunto de URLs relacionadas ao processo em lote, vazia para
            esta operação.
        requestedAt:
          type: string
          description: >-
            A data e a hora em que o processo em lote foi concluído, formatadas
            como uma string de dados e hora.
          format: date-time
        results:
          type: array
          items:
            $ref: '#/components/schemas/ApiFlow'
        startedAt:
          type: string
          description: >-
            A data e a hora em que o processo em lote começou, formatadas como
            uma string de data e hora.
          format: date-time
        status:
          type: string
          description: >-
            O status atual do processo em lote, com os seguintes valores
            possíveis: CANCELADO, CONCLUÍDO, PENDENTE, PROCESSANDO.
          enum:
            - CANCELED
            - COMPLETE
            - PENDING
            - PROCESSING
    BatchResponseApiFlowWithErrors:
      required:
        - completedAt
        - results
        - startedAt
        - status
      type: object
      properties:
        completedAt:
          type: string
          description: >-
            A data e a hora em que o processo em lote foi concluído, formatadas
            como uma string de data e hora.
          format: date-time
        errors:
          type: array
          items:
            $ref: '#/components/schemas/StandardError'
        links:
          type: object
          additionalProperties:
            type: string
          description: Um conjunto de URLs relacionados ao processo em lote.
        numErrors:
          type: integer
          description: O número total de erros encontrados durante o processo em lote.
          format: int32
        requestedAt:
          type: string
          description: >-
            A data e a hora em que o processo em lote foi concluído, formatadas
            como uma string de dados e hora.
          format: date-time
        results:
          type: array
          items:
            $ref: '#/components/schemas/ApiFlow'
        startedAt:
          type: string
          description: >-
            A data e a hora em que o processo em lote começou, formatadas como
            uma string de data e hora.
          format: date-time
        status:
          type: string
          description: >-
            O status atual do processo em lote, com os seguintes valores
            possíveis: CANCELADO, CONCLUÍDO, PENDENTE, PROCESSANDO.
          enum:
            - CANCELED
            - COMPLETE
            - PENDING
            - PROCESSING
    ApiFlowBatchFetchFlowIdCoordinate:
      title: FLOW_ID
      required:
        - flowId
        - type
      type: object
      properties:
        flowId:
          type: string
          description: O identificador exclusivo do fluxo de automação.
        type:
          type: string
          description: 'Especifica o tipo de coordenada: FLOW_ID.'
          default: FLOW_ID
          enum:
            - FLOW_ID
      x-hubspot-sub-type-impl: true
    ApiFlow:
      properties: {}
      oneOf:
        - $ref: '#/components/schemas/ApiContactFlow'
        - $ref: '#/components/schemas/ApiPlatformFlow'
    StandardError:
      required:
        - category
        - context
        - errors
        - links
        - message
        - status
      type: object
      properties:
        category:
          type: string
          description: The main category of the error.
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Additional context-specific information related to the error.
        errors:
          type: array
          description: The detailed error objects.
          items:
            $ref: '#/components/schemas/ErrorDetail'
        id:
          type: string
          description: A unique ID for the error instance.
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            URLs linking to documentation or resources associated with the
            error.
        message:
          type: string
          description: >-
            A human-readable string describing the error and possible
            remediation steps.
        status:
          type: string
          description: The HTTP status code associated with the error.
        subCategory:
          type: object
          properties: {}
          description: A more specific error category within each main category.
      description: Ye olde error
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: A categoria de erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            Um identificador exclusivo para a solicitação. Inclua este valor em
            relatórios de erro ou tickets de suporte
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: mais informações sobre o erro
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            Um mapa de nomes de links para URIs associados que contêm
            documentação sobre o erro ou as etapas de correção recomendadas
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
          example: An error occurred
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa uma resposta de erro retornada pela API quando uma operação
        falha. Este componente é usado em vários endpoints para fornecer
        informações detalhadas sobre o erro encontrado.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ApiContactFlow:
      required:
        - actions
        - blockedDates
        - canEnrollFromSalesforce
        - createdAt
        - crmObjectCreationStatus
        - customProperties
        - dataSources
        - flowType
        - id
        - isEnabled
        - nextAvailableActionId
        - objectTypeId
        - revisionId
        - suppressionListIds
        - timeWindows
        - type
        - updatedAt
      type: object
      properties:
        actions:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ApiStaticBranchAction'
              - $ref: '#/components/schemas/ApiListBranchAction'
              - $ref: '#/components/schemas/ApiABTestBranchAction'
              - $ref: '#/components/schemas/ApiCustomCodeAction'
              - $ref: '#/components/schemas/ApiWebhookAction'
              - $ref: '#/components/schemas/ApiSingleConnectionAction'
        blockedDates:
          type: array
          items:
            $ref: '#/components/schemas/ApiBlockedDate'
        canEnrollFromSalesforce:
          type: boolean
        createdAt:
          type: string
          format: date-time
        crmObjectCreationStatus:
          type: string
          enum:
            - COMPLETE
            - PENDING
        customProperties:
          type: object
          additionalProperties:
            type: string
        dataSources:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ApiAssociationDataSource'
              - $ref: '#/components/schemas/ApiAssociationTimestampDataSource'
              - $ref: '#/components/schemas/ApiStaticPropertyFilterDataSource'
              - $ref: '#/components/schemas/ApiEnrolledRecordPropertyFilterDataSource'
              - $ref: '#/components/schemas/ApiDatasetFieldPropertyFilterDataSource'
              - $ref: >-
                  #/components/schemas/ApiEnrolledArgumentPropertyFilterDataSource
        description:
          type: string
        enrollmentCriteria:
          oneOf:
            - $ref: '#/components/schemas/ApiListBasedEnrollmentCriteria'
            - $ref: '#/components/schemas/ApiEventBasedEnrollmentCriteria'
            - $ref: '#/components/schemas/ApiManualEnrollmentCriteria'
            - $ref: '#/components/schemas/ApiDatasetBasedEnrollmentCriteria'
        enrollmentSchedule:
          oneOf:
            - $ref: '#/components/schemas/ApiDailyEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiWeeklyEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiMonthlySpecificDaysEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiMonthlyRelativeDaysEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiYearlyEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiPropertyBasedEnrollmentSchedule'
        eventAnchor:
          oneOf:
            - $ref: '#/components/schemas/ApiContactPropertyAnchor'
            - $ref: '#/components/schemas/ApiStaticDateAnchor'
        flowType:
          type: string
          enum:
            - ACTION_SET
            - UNKNOWN
            - WORKFLOW
        goalFilterBranch:
          oneOf:
            - $ref: '#/components/schemas/PublicOrFilterBranch'
            - $ref: '#/components/schemas/PublicAndFilterBranch'
            - $ref: '#/components/schemas/PublicNotAllFilterBranch'
            - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
            - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
            - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
            - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        id:
          type: string
        isEnabled:
          type: boolean
        name:
          type: string
        nextAvailableActionId:
          type: string
        objectTypeId:
          type: string
        revisionId:
          type: string
        startActionId:
          type: string
        suppressionListIds:
          type: array
          items:
            type: integer
            format: int32
        timeWindows:
          type: array
          items:
            $ref: '#/components/schemas/ApiTimeWindow'
        type:
          type: string
          default: CONTACT_FLOW
          enum:
            - CONTACT_FLOW
        unEnrollmentSetting:
          $ref: '#/components/schemas/ApiUnEnrollmentSetting'
        updatedAt:
          type: string
          format: date-time
        uuid:
          type: string
      x-hubspot-sub-type-impl: true
    ApiPlatformFlow:
      required:
        - actions
        - blockedDates
        - createdAt
        - crmObjectCreationStatus
        - customProperties
        - dataSources
        - flowType
        - id
        - isEnabled
        - nextAvailableActionId
        - objectTypeId
        - revisionId
        - timeWindows
        - type
        - updatedAt
      type: object
      properties:
        actions:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ApiStaticBranchAction'
              - $ref: '#/components/schemas/ApiListBranchAction'
              - $ref: '#/components/schemas/ApiABTestBranchAction'
              - $ref: '#/components/schemas/ApiCustomCodeAction'
              - $ref: '#/components/schemas/ApiWebhookAction'
              - $ref: '#/components/schemas/ApiSingleConnectionAction'
        blockedDates:
          type: array
          items:
            $ref: '#/components/schemas/ApiBlockedDate'
        createdAt:
          type: string
          format: date-time
        crmObjectCreationStatus:
          type: string
          enum:
            - COMPLETE
            - PENDING
        customProperties:
          type: object
          additionalProperties:
            type: string
        dataSources:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ApiAssociationDataSource'
              - $ref: '#/components/schemas/ApiAssociationTimestampDataSource'
              - $ref: '#/components/schemas/ApiStaticPropertyFilterDataSource'
              - $ref: '#/components/schemas/ApiEnrolledRecordPropertyFilterDataSource'
              - $ref: '#/components/schemas/ApiDatasetFieldPropertyFilterDataSource'
              - $ref: >-
                  #/components/schemas/ApiEnrolledArgumentPropertyFilterDataSource
        description:
          type: string
        enrollmentCriteria:
          oneOf:
            - $ref: '#/components/schemas/ApiListBasedEnrollmentCriteria'
            - $ref: '#/components/schemas/ApiEventBasedEnrollmentCriteria'
            - $ref: '#/components/schemas/ApiManualEnrollmentCriteria'
            - $ref: '#/components/schemas/ApiDatasetBasedEnrollmentCriteria'
        enrollmentSchedule:
          oneOf:
            - $ref: '#/components/schemas/ApiDailyEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiWeeklyEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiMonthlySpecificDaysEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiMonthlyRelativeDaysEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiYearlyEnrollmentSchedule'
            - $ref: '#/components/schemas/ApiPropertyBasedEnrollmentSchedule'
        flowType:
          type: string
          enum:
            - ACTION_SET
            - UNKNOWN
            - WORKFLOW
        id:
          type: string
        isEnabled:
          type: boolean
        name:
          type: string
        nextAvailableActionId:
          type: string
        objectTypeId:
          type: string
        revisionId:
          type: string
        startActionId:
          type: string
        suppressionFilterBranch:
          oneOf:
            - $ref: '#/components/schemas/PublicOrFilterBranch'
            - $ref: '#/components/schemas/PublicAndFilterBranch'
            - $ref: '#/components/schemas/PublicNotAllFilterBranch'
            - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
            - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
            - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
            - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        timeWindows:
          type: array
          items:
            $ref: '#/components/schemas/ApiTimeWindow'
        type:
          type: string
          default: PLATFORM_FLOW
          enum:
            - PLATFORM_FLOW
        updatedAt:
          type: string
          format: date-time
        uuid:
          type: string
      x-hubspot-sub-type-impl: true
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: O código de status associado ao detalhe do erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: O nome do campo ou parâmetro no qual o erro foi encontrado.
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa informações detalhadas sobre um erro ocorrido na API. Este
        componente é usado para fornecer contexto e detalhes adicionais sobre os
        erros, geralmente como parte de uma resposta de erro.
    ApiStaticBranchAction:
      title: STATIC_BRANCH
      required:
        - actionId
        - inputValue
        - staticBranches
        - type
      type: object
      properties:
        actionId:
          type: string
          description: O identificador exclusivo para esta ação de ramificação estática.
        defaultBranch:
          $ref: '#/components/schemas/ApiConnection'
        defaultBranchName:
          type: string
          description: O nome da ramificação padrão na ação de ramificação estática.
        inputValue:
          description: >-
            Representa o valor de entrada para a ação de ramificação estática,
            que pode ser de vários tipos, como dados de ação, propriedade de
            objeto ou valor estático.
          oneOf:
            - $ref: '#/components/schemas/ApiActionDataValue'
            - $ref: '#/components/schemas/ApiObjectPropertyValue'
            - $ref: '#/components/schemas/ApiStaticValue'
            - $ref: '#/components/schemas/ApiRelativeDateTimeValue'
            - $ref: '#/components/schemas/ApiTimestampValue'
            - $ref: '#/components/schemas/ApiIncrementValue'
            - $ref: '#/components/schemas/ApiFetchedObjectPropertyValue'
            - $ref: '#/components/schemas/ApiAppendObjectPropertyValue'
            - $ref: '#/components/schemas/ApiStaticAppendValue'
            - $ref: '#/components/schemas/ApiEnrollmentEventPropertyValue'
            - $ref: '#/components/schemas/ApiEnrollmentDatasetColumnValue'
            - $ref: '#/components/schemas/ApiActionOutputObjectPropertyValue'
            - $ref: '#/components/schemas/ApiSingleObjectCoordinatesValue'
            - $ref: '#/components/schemas/ApiListInputValue'
            - $ref: '#/components/schemas/ApiMapInputValue'
        staticBranches:
          type: array
          items:
            $ref: '#/components/schemas/ApiStaticBranch'
        type:
          type: string
          description: Indica o tipo de ação, cujo valor padrão é STATIC_BRANCH.
          default: STATIC_BRANCH
          enum:
            - STATIC_BRANCH
      x-hubspot-sub-type-impl: true
    ApiListBranchAction:
      title: LIST_BRANCH
      required:
        - actionId
        - listBranches
        - type
      type: object
      properties:
        actionId:
          type: string
          description: O identificador exclusivo da ação de ramificação da lista.
        defaultBranch:
          $ref: '#/components/schemas/ApiConnection'
        defaultBranchName:
          type: string
          description: O nome da ramificação padrão na ação de listagem.
        listBranches:
          type: array
          items:
            $ref: '#/components/schemas/ApiListBranch'
        type:
          type: string
          description: Indica o tipo de ação, que por padrão é LIST_BRANCH.
          default: LIST_BRANCH
          enum:
            - LIST_BRANCH
      x-hubspot-sub-type-impl: true
    ApiABTestBranchAction:
      title: AB_TEST_BRANCH
      required:
        - actionId
        - testBranches
        - type
      type: object
      properties:
        actionId:
          type: string
          description: O identificador exclusivo para a ação de ramificação do teste A/B.
        testBranches:
          type: array
          items:
            $ref: '#/components/schemas/ApiABTestBranch'
        type:
          type: string
          description: Indica o tipo de ação, cujo valor padrão é AB_TEST_BRANCH.
          default: AB_TEST_BRANCH
          enum:
            - AB_TEST_BRANCH
      x-hubspot-sub-type-impl: true
    ApiCustomCodeAction:
      title: CUSTOM_CODE
      required:
        - actionId
        - inputFields
        - outputFields
        - runtime
        - secretNames
        - sourceCode
        - type
      type: object
      properties:
        actionId:
          type: string
          description: O identificador exclusivo da ação de código personalizada.
        connection:
          $ref: '#/components/schemas/ApiConnection'
        inputFields:
          type: array
          items:
            $ref: '#/components/schemas/ApiInputVariable'
        outputFields:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ApiEnumerationOutputField'
        runtime:
          type: string
          description: >-
            Especifica o ambiente de tempo de execução para a ação de código
            personalizada.
        secretNames:
          type: array
          items:
            type: string
        sourceCode:
          type: string
          description: Contém o código-fonte da ação de código personalizada.
        type:
          type: string
          description: Indica o tipo de ação, que por padrão é CUSTOM_CODE.
          default: CUSTOM_CODE
          enum:
            - CUSTOM_CODE
      x-hubspot-sub-type-impl: true
    ApiWebhookAction:
      title: WEBHOOK
      required:
        - actionId
        - method
        - queryParams
        - type
        - webhookUrl
      type: object
      properties:
        actionId:
          type: string
          description: O identificador exclusivo para a ação do webhook.
        authSettings:
          description: >-
            Define as configurações de autenticação para o webhook, que podem
            incluir uma chave de autenticação ou uma assinatura.
          oneOf:
            - $ref: '#/components/schemas/ApiAuthKeyWebhookAuthSettings'
            - $ref: '#/components/schemas/ApiSignatureWebhookAuthSettings'
        connection:
          $ref: '#/components/schemas/ApiConnection'
        method:
          type: string
          description: >-
            Especifica o método HTTP a ser usado para a solicitação do webhook,
            sendo os seguintes valores aceitos: CONNECT, DELETE, GET, HEAD,
            OPTIONS, PATCH, POST, PUT, TRACE.
          enum:
            - CONNECT
            - DELETE
            - GET
            - HEAD
            - OPTIONS
            - PATCH
            - POST
            - PUT
            - TRACE
        queryParams:
          type: array
          items:
            $ref: '#/components/schemas/ApiInputVariable'
        type:
          type: string
          description: Indica o tipo de ação, que por padrão é WEBHOOK.
          default: WEBHOOK
          enum:
            - WEBHOOK
        webhookUrl:
          type: string
          description: O URL para o qual a solicitação do webhook será enviada.
      x-hubspot-sub-type-impl: true
    ApiSingleConnectionAction:
      title: SINGLE_CONNECTION
      required:
        - actionId
        - actionTypeId
        - actionTypeVersion
        - fields
        - type
      type: object
      properties:
        actionId:
          type: string
          description: O identificador exclusivo da ação de conexão individual.
        actionTypeId:
          type: string
          description: O identificador do tipo de ação que está sendo realizada.
        actionTypeVersion:
          type: integer
          description: Especifica a versão do tipo de ação.
          format: int32
        connection:
          $ref: '#/components/schemas/ApiConnection'
        fields:
          type: object
          additionalProperties:
            type: object
            properties: {}
          description: Contém os campos associados à ação de conexão única.
        type:
          type: string
          description: Indica o tipo de ação, que por padrão é SINGLE_CONNECTION.
          default: SINGLE_CONNECTION
          enum:
            - SINGLE_CONNECTION
      x-hubspot-sub-type-impl: true
    ApiBlockedDate:
      required:
        - dayOfMonth
        - month
      type: object
      properties:
        dayOfMonth:
          type: integer
          description: O dia do mês correspondente à data bloqueada.
          format: int32
        month:
          type: string
          description: >-
            O mês da data bloqueada, com os seguintes valores aceitos: ABRIL,
            AGOSTO, DEZEMBRO, FEVEREIRO, JANEIRO, JULHO, JUNHO, MARÇO, MAIO,
            NOVEMBRO, OUTUBRO, SETEMBRO.
          enum:
            - APRIL
            - AUGUST
            - DECEMBER
            - FEBRUARY
            - JANUARY
            - JULY
            - JUNE
            - MARCH
            - MAY
            - NOVEMBER
            - OCTOBER
            - SEPTEMBER
        year:
          type: integer
          description: O ano da data bloqueada.
          format: int32
    ApiAssociationDataSource:
      title: ASSOCIATION
      required:
        - associationCategory
        - associationTypeId
        - name
        - objectTypeId
        - type
      type: object
      properties:
        associationCategory:
          type: string
          description: >-
            Define a categoria da associação; os valores possíveis são
            HUBSPOT_DEFINED, INTEGRATOR_DEFINED ou USER_DEFINED.
          enum:
            - HUBSPOT_DEFINED
            - INTEGRATOR_DEFINED
            - USER_DEFINED
            - WORK
        associationTypeId:
          type: integer
          description: O ID que representa o tipo de associação.
          format: int32
        name:
          type: string
          description: O nome da fonte de dados.
        objectTypeId:
          type: string
          description: Representa o ID do tipo de objeto associado à fonte de dados.
        sortBy:
          $ref: '#/components/schemas/ApiSort'
        type:
          type: string
          description: Indica o tipo de fonte de dados, que por padrão é ASSOCIATION.
          default: ASSOCIATION
          enum:
            - ASSOCIATION
      x-hubspot-sub-type-impl: true
    ApiAssociationTimestampDataSource:
      title: ASSOCIATION_TIMESTAMP
      required:
        - associationCategory
        - associationTypeId
        - name
        - objectTypeId
        - type
      type: object
      properties:
        associationCategory:
          type: string
          description: >-
            Define a categoria da associação; os valores possíveis são
            HUBSPOT_DEFINED, INTEGRATOR_DEFINED ou USER_DEFINED.
          enum:
            - HUBSPOT_DEFINED
            - INTEGRATOR_DEFINED
            - USER_DEFINED
            - WORK
        associationTypeId:
          type: integer
          description: O ID que representa o tipo de associação.
          format: int32
        name:
          type: string
          description: Especifica o nome da fonte de dados.
        objectTypeId:
          type: string
          description: Representa o ID do tipo de objeto associado à fonte de dados.
        type:
          type: string
          description: >-
            Indica o tipo de fonte de dados, que por padrão é
            ASSOCIATION_TIMESTAMP.
          default: ASSOCIATION_TIMESTAMP
          enum:
            - ASSOCIATION_TIMESTAMP
      x-hubspot-sub-type-impl: true
    ApiStaticPropertyFilterDataSource:
      title: STATIC_PROPERTY_FILTER
      required:
        - name
        - propertyName
        - staticValue
        - type
      type: object
      properties:
        name:
          type: string
          description: Define o nome da fonte de dados.
        propertyName:
          type: string
          description: >-
            Especifica o nome da propriedade usada no filtro de propriedade
            estática.
        sortBy:
          $ref: '#/components/schemas/ApiSort'
        staticValue:
          type: string
          description: Representa o valor estático usado no filtro de propriedade.
        type:
          type: string
          description: >-
            Indica o tipo de fonte de dados, cujo valor padrão é
            STATIC_PROPERTY_FILTER.
          default: STATIC_PROPERTY_FILTER
          enum:
            - STATIC_PROPERTY_FILTER
      x-hubspot-sub-type-impl: true
    ApiEnrolledRecordPropertyFilterDataSource:
      title: ENROLLED_RECORD_PROPERTY_FILTER
      required:
        - name
        - propertyName
        - recordFieldName
        - type
      type: object
      properties:
        name:
          type: string
          description: Define o nome da fonte de dados.
        propertyName:
          type: string
          description: >-
            Especifica o nome da propriedade usada no filtro de propriedade do
            registro inscrito.
        recordFieldName:
          type: string
          description: O nome do campo no registro que está sendo filtrado.
        sortBy:
          $ref: '#/components/schemas/ApiSort'
        type:
          type: string
          description: >-
            Indica o tipo de fonte de dados, cujo valor padrão é
            ENROLLED_RECORD_PROPERTY_FILTER.
          default: ENROLLED_RECORD_PROPERTY_FILTER
          enum:
            - ENROLLED_RECORD_PROPERTY_FILTER
      x-hubspot-sub-type-impl: true
    ApiDatasetFieldPropertyFilterDataSource:
      title: DATASET_FIELD_PROPERTY_FILTER
      required:
        - datasetFieldName
        - name
        - propertyName
        - type
      type: object
      properties:
        datasetFieldName:
          type: string
          description: >-
            Especifica o nome do campo do conjunto de dados usado no filtro de
            propriedade.
        name:
          type: string
          description: Define o nome da fonte de dados.
        propertyName:
          type: string
          description: >-
            Especifica o nome da propriedade usada no filtro de propriedade do
            campo do conjunto de dados.
        sortBy:
          $ref: '#/components/schemas/ApiSort'
        type:
          type: string
          description: >-
            Indica o tipo de fonte de dados, cujo valor padrão é
            DATASET_FIELD_PROPERTY_FILTER.
          default: DATASET_FIELD_PROPERTY_FILTER
          enum:
            - DATASET_FIELD_PROPERTY_FILTER
      x-hubspot-sub-type-impl: true
    ApiEnrolledArgumentPropertyFilterDataSource:
      title: ENROLLED_ARGUMENT_PROPERTY_FILTER
      required:
        - argumentName
        - name
        - propertyName
        - type
      type: object
      properties:
        argumentName:
          type: string
          description: >-
            O nome do argumento usado no filtro de propriedade de argumento
            inscrito.
        name:
          type: string
          description: Define o nome da fonte de dados.
        propertyName:
          type: string
          description: >-
            Especifica o nome da propriedade usada no filtro de propriedade do
            argumento inscrito.
        sortBy:
          $ref: '#/components/schemas/ApiSort'
        type:
          type: string
          description: >-
            Indica o tipo de fonte de dados, cujo valor padrão é
            ENROLLED_ARGUMENT_PROPERTY_FILTER.
          default: ENROLLED_ARGUMENT_PROPERTY_FILTER
          enum:
            - ENROLLED_ARGUMENT_PROPERTY_FILTER
      x-hubspot-sub-type-impl: true
    ApiListBasedEnrollmentCriteria:
      title: LIST_BASED
      required:
        - listFilterBranch
        - reEnrollmentTriggersFilterBranches
        - shouldReEnroll
        - type
        - unEnrollObjectsNotMeetingCriteria
      type: object
      properties:
        listFilterBranch:
          description: >-
            Define a ramificação de filtro usada para determinar os critérios de
            inscrição baseados em listas.
          oneOf:
            - $ref: '#/components/schemas/PublicOrFilterBranch'
            - $ref: '#/components/schemas/PublicAndFilterBranch'
            - $ref: '#/components/schemas/PublicNotAllFilterBranch'
            - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
            - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
            - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
            - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        reEnrollmentTriggersFilterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        shouldReEnroll:
          type: boolean
          description: >-
            Determina se os objetos devem ser reinscritos quando voltarem a
            atender aos critérios.
        type:
          type: string
          description: >-
            Especifica o tipo de critério de inscrição, cujo valor padrão é
            "LIST_BASED".
          default: LIST_BASED
          enum:
            - LIST_BASED
        unEnrollObjectsNotMeetingCriteria:
          type: boolean
          description: >-
            Indica se os objetos que não atendem aos critérios devem ser
            desinscritos.
      x-hubspot-sub-type-impl: true
    ApiEventBasedEnrollmentCriteria:
      title: EVENT_BASED
      required:
        - eventFilterBranches
        - listMembershipFilterBranches
        - shouldReEnroll
        - type
      type: object
      properties:
        eventFilterBranches:
          type: array
          items:
            $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
        listMembershipFilterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        refinementCriteria:
          description: >-
            Especifica critérios adicionais para refinar o processo de
            inscrição.
          oneOf:
            - $ref: '#/components/schemas/PublicOrFilterBranch'
            - $ref: '#/components/schemas/PublicAndFilterBranch'
            - $ref: '#/components/schemas/PublicNotAllFilterBranch'
            - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
            - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
            - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
            - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        shouldReEnroll:
          type: boolean
          description: >-
            Determina se os objetos devem ser reinscritos quando voltarem a
            atender aos critérios.
        type:
          type: string
          description: >-
            Especifica o tipo de critério de inscrição, cujo valor padrão é
            "EVENT_BASED".
          default: EVENT_BASED
          enum:
            - EVENT_BASED
      x-hubspot-sub-type-impl: true
    ApiManualEnrollmentCriteria:
      title: MANUAL
      required:
        - shouldReEnroll
        - type
      type: object
      properties:
        shouldReEnroll:
          type: boolean
          description: Indica se a inscrição deve ser repetida.
        type:
          type: string
          description: Especifica o tipo de critério de inscrição, que é "MANUAL".
          default: MANUAL
          enum:
            - MANUAL
      x-hubspot-sub-type-impl: true
    ApiDatasetBasedEnrollmentCriteria:
      title: DATASET
      required:
        - datasetId
        - shouldReEnroll
        - type
      type: object
      properties:
        datasetId:
          type: integer
          format: int64
        shouldReEnroll:
          type: boolean
        subviewId:
          type: string
        type:
          type: string
          default: DATASET
          enum:
            - DATASET
      x-hubspot-sub-type-impl: true
    ApiDailyEnrollmentSchedule:
      title: DAILY
      required:
        - timeOfDay
        - type
      type: object
      properties:
        timeOfDay:
          $ref: '#/components/schemas/ApiTimeOfDay'
        type:
          type: string
          description: Especifica o tipo de cronograma de inscrição, que é "DIÁRIO".
          default: DAILY
          enum:
            - DAILY
      x-hubspot-sub-type-impl: true
    ApiWeeklyEnrollmentSchedule:
      title: WEEKLY
      required:
        - daysOfWeek
        - timeOfDay
        - type
      type: object
      properties:
        daysOfWeek:
          type: array
          items:
            type: string
            enum:
              - MONDAY
              - TUESDAY
              - WEDNESDAY
              - THURSDAY
              - FRIDAY
              - SATURDAY
              - SUNDAY
        timeOfDay:
          $ref: '#/components/schemas/ApiTimeOfDay'
        type:
          type: string
          description: Indica o tipo de cronograma de inscrição, que é "SEMANAL".
          default: WEEKLY
          enum:
            - WEEKLY
      x-hubspot-sub-type-impl: true
    ApiMonthlySpecificDaysEnrollmentSchedule:
      title: MONTHLY_SPECIFIC_DAYS
      required:
        - daysOfMonth
        - timeOfDay
        - type
      type: object
      properties:
        daysOfMonth:
          type: array
          items:
            type: integer
            format: int32
        timeOfDay:
          $ref: '#/components/schemas/ApiTimeOfDay'
        type:
          type: string
          description: >-
            Especifica o tipo de cronograma de inscrição, que é
            "MONTHLY_SPECIFIC_DAYS".
          default: MONTHLY_SPECIFIC_DAYS
          enum:
            - MONTHLY_SPECIFIC_DAYS
      x-hubspot-sub-type-impl: true
    ApiMonthlyRelativeDaysEnrollmentSchedule:
      title: MONTHLY_RELATIVE_DAYS
      required:
        - monthlyRelativeDays
        - timeOfDay
        - type
      type: object
      properties:
        monthlyRelativeDays:
          type: string
          description: >-
            Uma das possíveis datas relativas para inscrição pode ser:
            LAST_DAY_OF_MONTH, ou FIRST_MONDAY_OF_MONTH
          enum:
            - FIRST_MONDAY_OF_MONTH
            - LAST_DAY_OF_MONTH
        timeOfDay:
          $ref: '#/components/schemas/ApiTimeOfDay'
        type:
          type: string
          description: 'O tipo de horário, sempre: MONTHLY_RELATIVE_DAYS'
          default: MONTHLY_RELATIVE_DAYS
          enum:
            - MONTHLY_RELATIVE_DAYS
      x-hubspot-sub-type-impl: true
    ApiYearlyEnrollmentSchedule:
      title: YEARLY
      required:
        - dayOfMonth
        - month
        - timeOfDay
        - type
      type: object
      properties:
        dayOfMonth:
          type: integer
          description: O dia do mês para o cronograma de inscrição anual.
          format: int32
        month:
          type: string
          description: >-
            O mês do cronograma de inscrição anual, sendo os valores aceitos:
            APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE, MARCH, MAY,
            NOVEMBER, OCTOBER, SEPTEMBER.
          enum:
            - APRIL
            - AUGUST
            - DECEMBER
            - FEBRUARY
            - JANUARY
            - JULY
            - JUNE
            - MARCH
            - MAY
            - NOVEMBER
            - OCTOBER
            - SEPTEMBER
        timeOfDay:
          $ref: '#/components/schemas/ApiTimeOfDay'
        type:
          type: string
          description: Indica o tipo de cronograma de inscrição, que por padrão é "ANUAL".
          default: YEARLY
          enum:
            - YEARLY
      x-hubspot-sub-type-impl: true
    ApiPropertyBasedEnrollmentSchedule:
      title: PROPERTY_BASED
      required:
        - dateProperty
        - daysDelta
        - timeOfDay
        - type
        - yearly
      type: object
      properties:
        dateProperty:
          type: string
          description: >-
            A propriedade utilizada para determinar a data do cronograma de
            inscrição.
        daysDelta:
          type: integer
          description: >-
            O número de dias para ajustar a data de inscrição em relação à
            propriedade dateProperty.
          format: int32
        timeOfDay:
          $ref: '#/components/schemas/ApiTimeOfDay'
        type:
          type: string
          description: >-
            Especifica o tipo de cronograma de inscrição, que é
            "PROPERTY_BASED".
          default: PROPERTY_BASED
          enum:
            - PROPERTY_BASED
        yearly:
          type: boolean
          description: >-
            Indica se o cronograma de inscrição está definido para se repetir
            anualmente.
      x-hubspot-sub-type-impl: true
    ApiContactPropertyAnchor:
      title: CONTACT_PROPERTY_ANCHOR
      required:
        - contactProperty
        - type
      type: object
      properties:
        contactProperty:
          type: string
          description: Especifica a propriedade de contato associada à âncora.
        type:
          type: string
          description: >-
            Indica o tipo de âncora da propriedade de contato, cujo valor padrão
            é CONTACT_PROPERTY_ANCHOR.
          default: CONTACT_PROPERTY_ANCHOR
          enum:
            - CONTACT_PROPERTY_ANCHOR
      x-hubspot-sub-type-impl: true
    ApiStaticDateAnchor:
      title: STATIC_DATE_ANCHOR
      required:
        - dayOfMonth
        - month
        - type
      type: object
      properties:
        dayOfMonth:
          type: integer
          description: O dia do mês para a âncora de data estática.
          format: int32
        month:
          type: string
          description: >-
            O componente de mês da âncora de data estática, com valores aceitos
            incluindo: APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE,
            MARCH, MAY, NOVEMBER, OCTOBER, SEPTEMBER.
          enum:
            - APRIL
            - AUGUST
            - DECEMBER
            - FEBRUARY
            - JANUARY
            - JULY
            - JUNE
            - MARCH
            - MAY
            - NOVEMBER
            - OCTOBER
            - SEPTEMBER
        type:
          type: string
          description: >-
            Indica o tipo de âncora de data, cujo valor padrão é
            STATIC_DATE_ANCHOR.
          default: STATIC_DATE_ANCHOR
          enum:
            - STATIC_DATE_ANCHOR
        year:
          type: integer
          description: O componente do ano da âncora de data estática.
          format: int32
      x-hubspot-sub-type-impl: true
    PublicOrFilterBranch:
      title: OR
      required:
        - filterBranchOperator
        - filterBranchType
        - filterBranches
        - filters
      type: object
      properties:
        filterBranchOperator:
          type: string
          description: >-
            Define o operador lógico usado para combinar várias ramificações de
            filtro.
        filterBranchType:
          type: string
          description: Indica o tipo de ramificação do filtro, sendo o padrão OR.
          default: OR
          enum:
            - OR
        filterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicPropertyFilter'
              - $ref: '#/components/schemas/PublicAssociationInListFilter'
              - $ref: '#/components/schemas/PublicPageViewAnalyticsFilter'
              - $ref: '#/components/schemas/PublicCtaAnalyticsFilter'
              - $ref: '#/components/schemas/PublicEventAnalyticsFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionOnPageFilter'
              - $ref: '#/components/schemas/PublicIntegrationEventFilter'
              - $ref: '#/components/schemas/PublicEmailSubscriptionFilter'
              - $ref: '#/components/schemas/PublicCommunicationSubscriptionFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyValueFilter'
              - $ref: '#/components/schemas/PublicWebinarFilter'
              - $ref: '#/components/schemas/PublicEmailEventFilter'
              - $ref: '#/components/schemas/PublicPrivacyAnalyticsFilter'
              - $ref: '#/components/schemas/PublicAdsSearchFilter'
              - $ref: '#/components/schemas/PublicAdsTimeFilter'
              - $ref: '#/components/schemas/PublicInListFilter'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilter'
              - $ref: '#/components/schemas/PublicConstantFilter'
      x-hubspot-sub-type-impl: true
    PublicAndFilterBranch:
      title: AND
      required:
        - filterBranchOperator
        - filterBranchType
        - filterBranches
        - filters
      type: object
      properties:
        filterBranchOperator:
          type: string
          description: >-
            Define o operador lógico usado para combinar várias ramificações de
            filtro.
        filterBranchType:
          type: string
          description: Indica o tipo de ramificação do filtro, sendo o padrão AND.
          default: AND
          enum:
            - AND
        filterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicPropertyFilter'
              - $ref: '#/components/schemas/PublicAssociationInListFilter'
              - $ref: '#/components/schemas/PublicPageViewAnalyticsFilter'
              - $ref: '#/components/schemas/PublicCtaAnalyticsFilter'
              - $ref: '#/components/schemas/PublicEventAnalyticsFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionOnPageFilter'
              - $ref: '#/components/schemas/PublicIntegrationEventFilter'
              - $ref: '#/components/schemas/PublicEmailSubscriptionFilter'
              - $ref: '#/components/schemas/PublicCommunicationSubscriptionFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyValueFilter'
              - $ref: '#/components/schemas/PublicWebinarFilter'
              - $ref: '#/components/schemas/PublicEmailEventFilter'
              - $ref: '#/components/schemas/PublicPrivacyAnalyticsFilter'
              - $ref: '#/components/schemas/PublicAdsSearchFilter'
              - $ref: '#/components/schemas/PublicAdsTimeFilter'
              - $ref: '#/components/schemas/PublicInListFilter'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilter'
              - $ref: '#/components/schemas/PublicConstantFilter'
      x-hubspot-sub-type-impl: true
    PublicNotAllFilterBranch:
      title: NOT_ALL
      required:
        - filterBranchOperator
        - filterBranchType
        - filterBranches
        - filters
      type: object
      properties:
        filterBranchOperator:
          type: string
          description: >-
            Define o operador lógico usado para combinar várias ramificações de
            filtro.
        filterBranchType:
          type: string
          description: Indica o tipo de ramificação de filtro, sendo o padrão NOT_ALL.
          default: NOT_ALL
          enum:
            - NOT_ALL
        filterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicPropertyFilter'
              - $ref: '#/components/schemas/PublicAssociationInListFilter'
              - $ref: '#/components/schemas/PublicPageViewAnalyticsFilter'
              - $ref: '#/components/schemas/PublicCtaAnalyticsFilter'
              - $ref: '#/components/schemas/PublicEventAnalyticsFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionOnPageFilter'
              - $ref: '#/components/schemas/PublicIntegrationEventFilter'
              - $ref: '#/components/schemas/PublicEmailSubscriptionFilter'
              - $ref: '#/components/schemas/PublicCommunicationSubscriptionFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyValueFilter'
              - $ref: '#/components/schemas/PublicWebinarFilter'
              - $ref: '#/components/schemas/PublicEmailEventFilter'
              - $ref: '#/components/schemas/PublicPrivacyAnalyticsFilter'
              - $ref: '#/components/schemas/PublicAdsSearchFilter'
              - $ref: '#/components/schemas/PublicAdsTimeFilter'
              - $ref: '#/components/schemas/PublicInListFilter'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilter'
              - $ref: '#/components/schemas/PublicConstantFilter'
      x-hubspot-sub-type-impl: true
    PublicNotAnyFilterBranch:
      title: NOT_ANY
      required:
        - filterBranchOperator
        - filterBranchType
        - filterBranches
        - filters
      type: object
      properties:
        filterBranchOperator:
          type: string
          description: >-
            Define o operador lógico usado para combinar várias ramificações de
            filtro.
        filterBranchType:
          type: string
          description: Indica o tipo de ramificação de filtro, sendo o padrão NOT_ANY.
          default: NOT_ANY
          enum:
            - NOT_ANY
        filterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicPropertyFilter'
              - $ref: '#/components/schemas/PublicAssociationInListFilter'
              - $ref: '#/components/schemas/PublicPageViewAnalyticsFilter'
              - $ref: '#/components/schemas/PublicCtaAnalyticsFilter'
              - $ref: '#/components/schemas/PublicEventAnalyticsFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionOnPageFilter'
              - $ref: '#/components/schemas/PublicIntegrationEventFilter'
              - $ref: '#/components/schemas/PublicEmailSubscriptionFilter'
              - $ref: '#/components/schemas/PublicCommunicationSubscriptionFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyValueFilter'
              - $ref: '#/components/schemas/PublicWebinarFilter'
              - $ref: '#/components/schemas/PublicEmailEventFilter'
              - $ref: '#/components/schemas/PublicPrivacyAnalyticsFilter'
              - $ref: '#/components/schemas/PublicAdsSearchFilter'
              - $ref: '#/components/schemas/PublicAdsTimeFilter'
              - $ref: '#/components/schemas/PublicInListFilter'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilter'
              - $ref: '#/components/schemas/PublicConstantFilter'
      x-hubspot-sub-type-impl: true
    PublicRestrictedFilterBranch:
      title: RESTRICTED
      required:
        - filterBranchOperator
        - filterBranchType
        - filterBranches
        - filters
      type: object
      properties:
        filterBranchOperator:
          type: string
          description: >-
            Define o operador lógico usado para combinar várias ramificações de
            filtro.
        filterBranchType:
          type: string
          description: Indica o tipo de ramificação do filtro, sendo o padrão RESTRICTED.
          default: RESTRICTED
          enum:
            - RESTRICTED
        filterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicPropertyFilter'
              - $ref: '#/components/schemas/PublicAssociationInListFilter'
              - $ref: '#/components/schemas/PublicPageViewAnalyticsFilter'
              - $ref: '#/components/schemas/PublicCtaAnalyticsFilter'
              - $ref: '#/components/schemas/PublicEventAnalyticsFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionOnPageFilter'
              - $ref: '#/components/schemas/PublicIntegrationEventFilter'
              - $ref: '#/components/schemas/PublicEmailSubscriptionFilter'
              - $ref: '#/components/schemas/PublicCommunicationSubscriptionFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyValueFilter'
              - $ref: '#/components/schemas/PublicWebinarFilter'
              - $ref: '#/components/schemas/PublicEmailEventFilter'
              - $ref: '#/components/schemas/PublicPrivacyAnalyticsFilter'
              - $ref: '#/components/schemas/PublicAdsSearchFilter'
              - $ref: '#/components/schemas/PublicAdsTimeFilter'
              - $ref: '#/components/schemas/PublicInListFilter'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilter'
              - $ref: '#/components/schemas/PublicConstantFilter'
      x-hubspot-sub-type-impl: true
    PublicUnifiedEventsFilterBranch:
      title: UNIFIED_EVENTS
      required:
        - eventTypeId
        - filterBranchOperator
        - filterBranchType
        - filterBranches
        - filters
        - operator
      type: object
      properties:
        coalescingRefineBy:
          description: >-
            Define os critérios para refinar eventos, usando um dos vários
            esquemas possíveis, como PublicNumOccurrencesRefineBy ou
            PublicRelativeComparativeTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
        eventTypeId:
          type: string
          description: >-
            O identificador do tipo de evento associado à ramificação do filtro
            de eventos unificados.
        filterBranchOperator:
          type: string
          description: >-
            Define o operador lógico usado para combinar várias ramificações de
            filtro.
        filterBranchType:
          type: string
          description: >-
            Indica o tipo de ramificação de filtro, sendo o padrão
            UNIFIED_EVENTS.
          default: UNIFIED_EVENTS
          enum:
            - UNIFIED_EVENTS
        filterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicPropertyFilter'
              - $ref: '#/components/schemas/PublicAssociationInListFilter'
              - $ref: '#/components/schemas/PublicPageViewAnalyticsFilter'
              - $ref: '#/components/schemas/PublicCtaAnalyticsFilter'
              - $ref: '#/components/schemas/PublicEventAnalyticsFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionOnPageFilter'
              - $ref: '#/components/schemas/PublicIntegrationEventFilter'
              - $ref: '#/components/schemas/PublicEmailSubscriptionFilter'
              - $ref: '#/components/schemas/PublicCommunicationSubscriptionFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyValueFilter'
              - $ref: '#/components/schemas/PublicWebinarFilter'
              - $ref: '#/components/schemas/PublicEmailEventFilter'
              - $ref: '#/components/schemas/PublicPrivacyAnalyticsFilter'
              - $ref: '#/components/schemas/PublicAdsSearchFilter'
              - $ref: '#/components/schemas/PublicAdsTimeFilter'
              - $ref: '#/components/schemas/PublicInListFilter'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilter'
              - $ref: '#/components/schemas/PublicConstantFilter'
        operator:
          type: string
          description: >-
            Especifica o operador usado na ramificação de filtro de eventos
            unificados; os valores aceitos são HAS_COMPLETED ou
            HAS_NOT_COMPLETED.
          enum:
            - HAS_COMPLETED
            - HAS_NOT_COMPLETED
        pruningRefineBy:
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
      x-hubspot-sub-type-impl: true
    PublicAssociationFilterBranch:
      title: ASSOCIATION
      required:
        - associationCategory
        - associationTypeId
        - filterBranchOperator
        - filterBranchType
        - filterBranches
        - filters
        - objectTypeId
        - operator
      type: object
      properties:
        associationCategory:
          type: string
          description: Define a categoria da associação.
        associationTypeId:
          type: integer
          description: O ID que representa o tipo de associação.
          format: int32
        filterBranchOperator:
          type: string
          description: >-
            Define o operador lógico usado para combinar várias ramificações de
            filtro.
        filterBranchType:
          type: string
          description: Indica o tipo de ramificação do filtro, sendo o padrão ASSOCIAÇÃO.
          default: ASSOCIATION
          enum:
            - ASSOCIATION
        filterBranches:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicOrFilterBranch'
              - $ref: '#/components/schemas/PublicAndFilterBranch'
              - $ref: '#/components/schemas/PublicNotAllFilterBranch'
              - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
              - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
              - $ref: '#/components/schemas/PublicAssociationFilterBranch'
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicPropertyFilter'
              - $ref: '#/components/schemas/PublicAssociationInListFilter'
              - $ref: '#/components/schemas/PublicPageViewAnalyticsFilter'
              - $ref: '#/components/schemas/PublicCtaAnalyticsFilter'
              - $ref: '#/components/schemas/PublicEventAnalyticsFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionFilter'
              - $ref: '#/components/schemas/PublicFormSubmissionOnPageFilter'
              - $ref: '#/components/schemas/PublicIntegrationEventFilter'
              - $ref: '#/components/schemas/PublicEmailSubscriptionFilter'
              - $ref: '#/components/schemas/PublicCommunicationSubscriptionFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyFilter'
              - $ref: '#/components/schemas/PublicSurveyMonkeyValueFilter'
              - $ref: '#/components/schemas/PublicWebinarFilter'
              - $ref: '#/components/schemas/PublicEmailEventFilter'
              - $ref: '#/components/schemas/PublicPrivacyAnalyticsFilter'
              - $ref: '#/components/schemas/PublicAdsSearchFilter'
              - $ref: '#/components/schemas/PublicAdsTimeFilter'
              - $ref: '#/components/schemas/PublicInListFilter'
              - $ref: '#/components/schemas/PublicUnifiedEventsFilter'
              - $ref: '#/components/schemas/PublicConstantFilter'
        objectTypeId:
          type: string
          description: Representa o ID do tipo de objeto associado à ramificação de filtro.
        operator:
          type: string
          description: Especifica o operador aplicado ao filtro de associação.
      x-hubspot-sub-type-impl: true
    ApiTimeWindow:
      required:
        - day
      type: object
      properties:
        day:
          type: string
          description: >-
            Especifica o dia da semana para o intervalo de tempo, sendo os
            valores aceitos: FRIDAY, MONDAY, SATURDAY, SUNDAY, THURSDAY,
            TUESDAY, WEDNESDAY.
          enum:
            - FRIDAY
            - MONDAY
            - SATURDAY
            - SUNDAY
            - THURSDAY
            - TUESDAY
            - WEDNESDAY
        endTime:
          $ref: '#/components/schemas/ApiTimeOfDay'
        startTime:
          $ref: '#/components/schemas/ApiTimeOfDay'
    ApiUnEnrollmentSetting:
      required:
        - flowIds
        - type
      type: object
      properties:
        flowIds:
          type: array
          items:
            type: string
        type:
          type: string
          description: >-
            Especifica o tipo de configuração de cancelamento de inscrição,
            sendo os seguintes valores possíveis: ALL ou SELECTIVE.
          enum:
            - ALL
            - SELECTIVE
    ApiConnection:
      required:
        - edgeType
        - nextActionId
      type: object
      properties:
        edgeType:
          type: string
          description: Especifica o tipo de conexão entre as ações no fluxo de automação.
          enum:
            - GOTO
            - STANDARD
        nextActionId:
          type: string
          description: O identificador da ação subsequente na sequência de automação.
    ApiActionDataValue:
      title: FIELD_DATA
      required:
        - actionId
        - dataKey
        - type
      type: object
      properties:
        actionId:
          type: string
          description: O identificador exclusivo da ação associada ao valor dos dados.
        dataKey:
          type: string
          description: >-
            A chave utilizada para identificar o valor de dados específico
            dentro da ação.
        type:
          type: string
          description: Indica o tipo de valor de dados, que por padrão é FIELD_DATA.
          default: FIELD_DATA
          enum:
            - FIELD_DATA
      x-hubspot-sub-type-impl: true
    ApiObjectPropertyValue:
      title: OBJECT_PROPERTY
      required:
        - propertyName
        - type
      type: object
      properties:
        propertyName:
          type: string
          description: Especifica o nome da propriedade usada no objeto.
        type:
          type: string
          description: >-
            Indica o tipo da propriedade do objeto, cujo valor padrão é
            OBJECT_PROPERTY.
          default: OBJECT_PROPERTY
          enum:
            - OBJECT_PROPERTY
      x-hubspot-sub-type-impl: true
    ApiStaticValue:
      title: STATIC_VALUE
      required:
        - staticValue
        - type
      type: object
      properties:
        staticValue:
          type: string
          description: O valor estático específico que é usado no contexto da API.
        type:
          type: string
          description: Indica o tipo de valor, que por padrão é STATIC_VALUE.
          default: STATIC_VALUE
          enum:
            - STATIC_VALUE
      x-hubspot-sub-type-impl: true
    ApiRelativeDateTimeValue:
      title: RELATIVE_DATETIME
      required:
        - timeDelay
        - type
      type: object
      properties:
        timeDelay:
          $ref: '#/components/schemas/ApiTimeDelay'
        type:
          type: string
          description: Indica o tipo de valor, cujo valor padrão é RELATIVE_DATETIME.
          default: RELATIVE_DATETIME
          enum:
            - RELATIVE_DATETIME
      x-hubspot-sub-type-impl: true
    ApiTimestampValue:
      title: TIMESTAMP
      required:
        - timestampType
        - type
      type: object
      properties:
        timestampType:
          type: string
          description: Especifica o tipo de data/hora, sendo o valor aceito EXECUTION_TIME.
          enum:
            - EXECUTION_TIME
        type:
          type: string
          description: Indica o tipo do valor de data/hora, que por padrão é TIMESTAMP.
          default: TIMESTAMP
          enum:
            - TIMESTAMP
      x-hubspot-sub-type-impl: true
    ApiIncrementValue:
      title: INCREMENT
      required:
        - incrementAmount
        - type
      type: object
      properties:
        incrementAmount:
          type: number
          description: Especifica o valor a ser incrementado.
        type:
          type: string
          description: Indica o tipo do valor de incremento, que por padrão é INCREMENTO.
          default: INCREMENT
          enum:
            - INCREMENT
      x-hubspot-sub-type-impl: true
    ApiFetchedObjectPropertyValue:
      title: FETCHED_OBJECT_PROPERTY
      required:
        - propertyToken
        - type
      type: object
      properties:
        propertyToken:
          type: string
          description: >-
            O token usado para identificar a propriedade específica do objeto
            obtido.
        type:
          type: string
          description: >-
            Indica o tipo da propriedade do objeto obtido, cujo valor padrão é
            FETCHED_OBJECT_PROPERTY.
          default: FETCHED_OBJECT_PROPERTY
          enum:
            - FETCHED_OBJECT_PROPERTY
      x-hubspot-sub-type-impl: true
    ApiAppendObjectPropertyValue:
      title: APPEND_OBJECT_PROPERTY
      required:
        - appendPropertyName
        - type
      type: object
      properties:
        appendPropertyName:
          type: string
          description: O nome da propriedade à qual um valor será adicionado.
        type:
          type: string
          description: Indica o tipo de ação, que por padrão é APPEND_OBJECT_PROPERTY.
          default: APPEND_OBJECT_PROPERTY
          enum:
            - APPEND_OBJECT_PROPERTY
      x-hubspot-sub-type-impl: true
    ApiStaticAppendValue:
      title: STATIC_APPEND_VALUE
      required:
        - staticAppendValue
        - type
      type: object
      properties:
        staticAppendValue:
          type: string
          description: O valor que será adicionado a uma propriedade específica.
        type:
          type: string
          description: >-
            Indica o tipo da ação de anexação, cujo valor padrão é
            STATIC_APPEND_VALUE.
          default: STATIC_APPEND_VALUE
          enum:
            - STATIC_APPEND_VALUE
      x-hubspot-sub-type-impl: true
    ApiEnrollmentEventPropertyValue:
      title: ENROLLMENT_EVENT_PROPERTY
      required:
        - enrollmentEventPropertyToken
        - type
      type: object
      properties:
        enrollmentEventPropertyToken:
          type: string
          description: >-
            O token usado para identificar a propriedade específica do evento de
            inscrição.
        type:
          type: string
          description: >-
            Indica o tipo de propriedade de evento de inscrição, cujo valor
            padrão é ENROLLMENT_EVENT_PROPERTY.
          default: ENROLLMENT_EVENT_PROPERTY
          enum:
            - ENROLLMENT_EVENT_PROPERTY
      x-hubspot-sub-type-impl: true
    ApiEnrollmentDatasetColumnValue:
      title: ENROLLMENT_DATASET_COLUMN
      required:
        - enrollmentDatasetColumnToken
        - type
      type: object
      properties:
        enrollmentDatasetColumnToken:
          type: string
        type:
          type: string
          default: ENROLLMENT_DATASET_COLUMN
          enum:
            - ENROLLMENT_DATASET_COLUMN
      x-hubspot-sub-type-impl: true
    ApiActionOutputObjectPropertyValue:
      title: ACTION_OUTPUT_OBJECT_PROPERTY
      required:
        - actionOutputPropertyToken
        - type
      type: object
      properties:
        actionOutputPropertyToken:
          type: string
        type:
          type: string
          default: ACTION_OUTPUT_OBJECT_PROPERTY
          enum:
            - ACTION_OUTPUT_OBJECT_PROPERTY
      x-hubspot-sub-type-impl: true
    ApiSingleObjectCoordinatesValue:
      title: SINGLE_OBJECT_COORDINATES
      required:
        - coordinatesToken
        - type
      type: object
      properties:
        coordinatesToken:
          type: string
        type:
          type: string
          default: SINGLE_OBJECT_COORDINATES
          enum:
            - SINGLE_OBJECT_COORDINATES
      x-hubspot-sub-type-impl: true
    ApiListInputValue:
      title: LIST
      required:
        - type
        - values
      type: object
      properties:
        type:
          type: string
          default: LIST
          enum:
            - LIST
        values:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ApiActionDataValue'
              - $ref: '#/components/schemas/ApiObjectPropertyValue'
              - $ref: '#/components/schemas/ApiStaticValue'
              - $ref: '#/components/schemas/ApiRelativeDateTimeValue'
              - $ref: '#/components/schemas/ApiTimestampValue'
              - $ref: '#/components/schemas/ApiIncrementValue'
              - $ref: '#/components/schemas/ApiFetchedObjectPropertyValue'
              - $ref: '#/components/schemas/ApiAppendObjectPropertyValue'
              - $ref: '#/components/schemas/ApiStaticAppendValue'
              - $ref: '#/components/schemas/ApiEnrollmentEventPropertyValue'
              - $ref: '#/components/schemas/ApiEnrollmentDatasetColumnValue'
              - $ref: '#/components/schemas/ApiActionOutputObjectPropertyValue'
              - $ref: '#/components/schemas/ApiSingleObjectCoordinatesValue'
              - $ref: '#/components/schemas/ApiListInputValue'
              - $ref: '#/components/schemas/ApiMapInputValue'
      x-hubspot-sub-type-impl: true
    ApiMapInputValue:
      title: MAP
      required:
        - type
        - values
      type: object
      properties:
        type:
          type: string
          default: MAP
          enum:
            - MAP
        values:
          type: object
          properties: {}
      x-hubspot-sub-type-impl: true
    ApiStaticBranch:
      required:
        - branchValue
      type: object
      properties:
        branchValue:
          type: string
          description: Especifica o valor associado à ramificação estática.
        connection:
          $ref: '#/components/schemas/ApiConnection'
        operator:
          type: string
          enum:
            - CONTAINS
            - DOES_NOT_CONTAIN
            - ENDS_WITH
            - IS_EQUAL_TO
            - IS_GREATER_THAN
            - IS_GREATER_THAN_OR_EQUAL_TO
            - IS_KNOWN
            - IS_LESS_THAN
            - IS_LESS_THAN_OR_EQUAL_TO
            - IS_NOT_EQUAL_TO
            - IS_UNKNOWN
            - STARTS_WITH
    ApiListBranch:
      type: object
      properties:
        branchName:
          type: string
          description: Especifica o nome da filial.
        connection:
          $ref: '#/components/schemas/ApiConnection'
        filterBranch:
          description: >-
            Define os critérios de filtro para a ramificação, utilizando
            operadores lógicos e condições.
          oneOf:
            - $ref: '#/components/schemas/PublicOrFilterBranch'
            - $ref: '#/components/schemas/PublicAndFilterBranch'
            - $ref: '#/components/schemas/PublicNotAllFilterBranch'
            - $ref: '#/components/schemas/PublicNotAnyFilterBranch'
            - $ref: '#/components/schemas/PublicRestrictedFilterBranch'
            - $ref: '#/components/schemas/PublicUnifiedEventsFilterBranch'
            - $ref: '#/components/schemas/PublicAssociationFilterBranch'
    ApiABTestBranch:
      required:
        - connection
      type: object
      properties:
        connection:
          $ref: '#/components/schemas/ApiConnection'
        percentage:
          type: integer
          format: int32
    ApiInputVariable:
      required:
        - name
        - value
      type: object
      properties:
        name:
          type: string
          description: O nome da variável de entrada.
        value:
          description: >-
            O valor associado à variável de entrada, que pode ser de vários
            tipos, como dados de ação, propriedade de objeto, valor estático,
            data e hora relativa, data/hora, valor de incremento, propriedade de
            objeto obtido, propriedade de objeto anexado, valor estático anexado
            ou propriedade de evento de inscrição.
          oneOf:
            - $ref: '#/components/schemas/ApiActionDataValue'
            - $ref: '#/components/schemas/ApiObjectPropertyValue'
            - $ref: '#/components/schemas/ApiStaticValue'
            - $ref: '#/components/schemas/ApiRelativeDateTimeValue'
            - $ref: '#/components/schemas/ApiTimestampValue'
            - $ref: '#/components/schemas/ApiIncrementValue'
            - $ref: '#/components/schemas/ApiFetchedObjectPropertyValue'
            - $ref: '#/components/schemas/ApiAppendObjectPropertyValue'
            - $ref: '#/components/schemas/ApiStaticAppendValue'
            - $ref: '#/components/schemas/ApiEnrollmentEventPropertyValue'
            - $ref: '#/components/schemas/ApiEnrollmentDatasetColumnValue'
            - $ref: '#/components/schemas/ApiActionOutputObjectPropertyValue'
            - $ref: '#/components/schemas/ApiSingleObjectCoordinatesValue'
            - $ref: '#/components/schemas/ApiListInputValue'
            - $ref: '#/components/schemas/ApiMapInputValue'
    ApiEnumerationOutputField:
      title: ENUMERATION
      required:
        - name
        - options
        - type
      type: object
      properties:
        name:
          type: string
          description: O nome do campo de saída da enumeração.
        options:
          type: array
          items:
            type: string
        type:
          type: string
          description: Especifica que o tipo do campo é "ENUMERAÇÃO".
          default: ENUMERATION
          enum:
            - ENUMERATION
      x-hubspot-sub-type-impl: true
    ApiAuthKeyWebhookAuthSettings:
      title: AUTH_KEY
      required:
        - location
        - name
        - secretName
        - type
      type: object
      properties:
        location:
          type: string
          description: >-
            Especifica onde a chave de autenticação está localizada, com os
            valores possíveis sendo HEADER ou QUERY_PARAM.
          enum:
            - HEADER
            - QUERY_PARAM
        name:
          type: string
          description: O nome associado à chave de autenticação.
        secretName:
          type: string
          description: O nome do segredo usado para autenticação.
        type:
          type: string
          description: Indica o tipo de autenticação, que por padrão é AUTH_KEY.
          default: AUTH_KEY
          enum:
            - AUTH_KEY
      x-hubspot-sub-type-impl: true
    ApiSignatureWebhookAuthSettings:
      title: SIGNATURE
      required:
        - appId
        - type
      type: object
      properties:
        appId:
          type: integer
          description: >-
            O appId do HubSpot que está sendo usado para autenticar esta chamada
            de webhook
          format: int32
        type:
          type: string
          description: 'O tipo de autenticação: SIGNATURE'
          default: SIGNATURE
          enum:
            - SIGNATURE
      x-hubspot-sub-type-impl: true
    ApiSort:
      required:
        - order
        - property
      type: object
      properties:
        missing:
          type: string
          description: >-
            Especifica como lidar com a classificação quando a propriedade está
            ausente.
        order:
          type: string
          description: >-
            A ordem de classificação, com os valores aceitos sendo ASC para
            crescente e DESC para decrescente.
          enum:
            - ASC
            - DESC
        property:
          type: string
          description: O nome da propriedade pela qual classificar.
    ApiTimeOfDay:
      required:
        - hour
        - minute
      type: object
      properties:
        hour:
          type: integer
          description: O componente da hora, representado como um número inteiro.
          format: int32
        minute:
          type: integer
          description: O componente dos minutos, representado como um número inteiro.
          format: int32
    PublicPropertyFilter:
      title: PROPERTY
      required:
        - filterType
        - operation
        - property
      type: object
      properties:
        filterType:
          type: string
          description: Indica o tipo de filtro, que por padrão é PROPERTY.
          default: PROPERTY
          enum:
            - PROPERTY
        operation:
          description: >-
            Define a operação a ser realizada na propriedade, que pode incluir
            vários tipos, como booleano, numérico, string, data e hora, entre
            outros.
          oneOf:
            - $ref: '#/components/schemas/PublicBoolPropertyOperation'
            - $ref: '#/components/schemas/PublicNumberPropertyOperation'
            - $ref: '#/components/schemas/PublicStringPropertyOperation'
            - $ref: '#/components/schemas/PublicDateTimePropertyOperation'
            - $ref: '#/components/schemas/PublicRangedDatePropertyOperation'
            - $ref: '#/components/schemas/PublicComparativePropertyUpdatedOperation'
            - $ref: '#/components/schemas/PublicComparativeDatePropertyOperation'
            - $ref: '#/components/schemas/PublicRollingDateRangePropertyOperation'
            - $ref: '#/components/schemas/PublicRollingPropertyUpdatedOperation'
            - $ref: '#/components/schemas/PublicEnumerationPropertyOperation'
            - $ref: '#/components/schemas/PublicAllPropertyTypesOperation'
            - $ref: '#/components/schemas/PublicRangedNumberPropertyOperation'
            - $ref: '#/components/schemas/PublicMultiStringPropertyOperation'
            - $ref: '#/components/schemas/PublicDatePropertyOperation'
            - $ref: '#/components/schemas/PublicCalendarDatePropertyOperation'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
            - $ref: '#/components/schemas/PublicComparativeStringPropertyOperation'
            - $ref: '#/components/schemas/PublicComparativeNumberPropertyOperation'
        property:
          type: string
          description: Especifica o nome da propriedade a ser filtrada.
      x-hubspot-sub-type-impl: true
    PublicAssociationInListFilter:
      title: ASSOCIATION
      required:
        - associationCategory
        - associationTypeId
        - coalescingRefineBy
        - filterType
        - listId
        - operator
      type: object
      properties:
        associationCategory:
          type: string
          description: Define a categoria da associação.
        associationTypeId:
          type: integer
          description: O ID que representa o tipo de associação.
          format: int32
        coalescingRefineBy:
          description: >-
            Define os critérios para refinar as associações, usando um dos
            vários esquemas possíveis, como PublicNumOccurrencesRefineBy ou
            PublicRelativeComparativeTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
        filterType:
          type: string
          description: Indica o tipo de filtro, que por padrão é ASSOCIATION.
          default: ASSOCIATION
          enum:
            - ASSOCIATION
        listId:
          type: string
          description: O identificador da lista usada no filtro de associação.
        operator:
          type: string
          description: Especifica o operador usado no filtro de associação.
        toObjectType:
          type: string
          description: Especifica o tipo de objeto ao qual a associação é feita.
        toObjectTypeId:
          type: string
          description: Representa o ID do tipo de objeto associado ao filtro.
      x-hubspot-sub-type-impl: true
    PublicPageViewAnalyticsFilter:
      title: PAGE_VIEW
      required:
        - filterType
        - operator
        - pageUrl
      type: object
      properties:
        coalescingRefineBy:
          description: >-
            Define os critérios para refinar as análises de exibições de página,
            usando um dos vários esquemas possíveis, como
            PublicNumOccurrencesRefineBy ou
            PublicRelativeComparativeTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
        enableTracking:
          type: boolean
          description: >-
            Determina se o rastreamento está ativado para o filtro de análise de
            visualização de página.
        filterType:
          type: string
          description: Indica o tipo de filtro, que por padrão é PAGE_VIEW.
          default: PAGE_VIEW
          enum:
            - PAGE_VIEW
        operator:
          type: string
          description: >-
            Especifica o operador usado no filtro de análise de visualização de
            página.
        pageUrl:
          type: string
          description: >-
            O URL da página usado no filtro de análise de visualização de
            página.
        pruningRefineBy:
          description: >-
            Especifica os critérios para a remoção de análises de exibições de
            página, usando um dos vários esquemas possíveis, como
            PublicNumOccurrencesRefineBy ou
            PublicRelativeRangedTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
      x-hubspot-sub-type-impl: true
    PublicCtaAnalyticsFilter:
      title: CTA
      required:
        - ctaName
        - filterType
        - operator
      type: object
      properties:
        coalescingRefineBy:
          description: >-
            Define os critérios para refinar a análise de CTA, usando um dos
            vários esquemas possíveis, como PublicNumOccurrencesRefineBy ou
            PublicRelativeComparativeTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
        ctaName:
          type: string
          description: O nome da call to action (CTA) usada no filtro de análise.
        filterType:
          type: string
          description: Indica o tipo de filtro, que por padrão é CTA.
          default: CTA
          enum:
            - CTA
        operator:
          type: string
          description: Especifica o operador usado no filtro de análise de CTA.
        pruningRefineBy:
          description: >-
            Especifica os critérios para a remoção de análises de CTA, usando um
            dos vários esquemas possíveis, como PublicNumOccurrencesRefineBy ou
            PublicRelativeRangedTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
      x-hubspot-sub-type-impl: true
    PublicEventAnalyticsFilter:
      title: EVENT
      required:
        - eventId
        - filterType
        - operator
      type: object
      properties:
        coalescingRefineBy:
          description: >-
            Define os critérios para refinar eventos, usando um dos vários
            esquemas possíveis, como PublicNumOccurrencesRefineBy ou
            PublicRelativeComparativeTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
        eventId:
          type: string
          description: O identificador do evento usado no filtro de análise de eventos.
        filterType:
          type: string
          description: Indica o tipo de filtro, que por padrão é EVENT.
          default: EVENT
          enum:
            - EVENT
        operator:
          type: string
          description: Especifica o operador usado no filtro de análise de eventos.
        pruningRefineBy:
          description: >-
            Especifica os critérios para a remoção de eventos, usando um dos
            vários esquemas possíveis, como PublicNumOccurrencesRefineBy ou
            PublicRelativeRangedTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
      x-hubspot-sub-type-impl: true
    PublicFormSubmissionFilter:
      title: FORM_SUBMISSION
      required:
        - filterType
        - operator
      type: object
      properties:
        coalescingRefineBy:
          description: >-
            Define os critérios para refinar os envios de formulários, usando um
            dos vários esquemas possíveis, como PublicNumOccurrencesRefineBy ou
            PublicRelativeComparativeTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicSetOccurrencesRefineBy'
            - $ref: '#/components/schemas/PublicRelativeComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicRelativeRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteComparativeTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAbsoluteRangedTimestampRefineBy'
            - $ref: '#/components/schemas/PublicAllHistoryRefineBy'
            - $ref: '#/components/schemas/PublicTimePointOperation'
            - $ref: '#/components/schemas/PublicRangedTimeOperation'
        filterType:
          type: string
          description: Indica o tipo de filtro, que por padrão é FORM_SUBMISSION.
          default: FORM_SUBMISSION
          enum:
            - FORM_SUBMISSION
        formId:
          type: string
          description: >-
            O identificador exclusivo do formulário usado no filtro de envio do
            formulário.
        operator:
          type: string
          description: >-
            Especifica o operador usado no filtro de envio do formulário; os
            valores aceitos são FILLED_OUT ou NOT_FILLED_OUT.
          enum:
            - FILLED_OUT
            - NOT_FILLED_OUT
        pruningRefineBy:
          description: >-
            Especifica os critérios para a eliminação de envios de formulários,
            usando um dos vários esquemas possíveis, como
            PublicNumOccurrencesRefineBy ou
            PublicRelativeRangedTimestampRefineBy.
          oneOf:
            - $ref: '#/components/schemas/PublicNumOccurrencesRefineBy'
[...]
